import os

from crewai import LLM
from crewai import Agent, Crew, Process, Task
from crewai.project import CrewBase, agent, crew, task
from crewai_tools import (
	BraveSearchTool
)






@CrewBase
class SponsorshipCommandCenterCrew:
    """SponsorshipCommandCenter crew"""

    
    @agent
    def lead_1st_ad___sponsorship_command_specialist(self) -> Agent:
        
        
        return Agent(
            config=self.agents_config["lead_1st_ad___sponsorship_command_specialist"],
            
            
            tools=[				BraveSearchTool()],
            reasoning=False,
            max_reasoning_attempts=None,
            inject_date=True,
            allow_delegation=False,
            max_iter=25,
            max_rpm=None,
            
            
            max_execution_time=None,
            llm=LLM(
                model="openai/gpt-4o-mini",
                
                
            ),
            
        )
        
    

    
    @task
    def sponsorship_opportunity_discovery_research_pipeline(self) -> Task:
        return Task(
            config=self.tasks_config["sponsorship_opportunity_discovery_research_pipeline"],
            markdown=False,
            
            
        )
    

    @crew
    def crew(self) -> Crew:
        """Creates the SponsorshipCommandCenter crew"""

        return Crew(
            agents=self.agents,  # Automatically created by the @agent decorator
            tasks=self.tasks,  # Automatically created by the @task decorator
            process=Process.sequential,
            verbose=True,

            chat_llm=LLM(model="openai/gpt-4o-mini"),
        )


